Bug 60235 - Trivial, correct Xaw program runs wrong with glibc-2.2.90-6
Trivial, correct Xaw program runs wrong with glibc-2.2.90-6
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-22 12:22 EST by Jonathan Kamens
Modified: 2016-11-24 10:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-24 18:40:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-02-22 12:22:00 EST
Save the following as foo.c and compile it with "gcc -g foo.c -L/usr/X11R6/lib
-lXaw -lXt":

-----cut here-----
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/AsciiText.h>

XtAppContext context;
Widget top;
Widget text;

main(int argc, char *argv[])
{
  top = XtVaOpenApplication(&context, "Test", NULL, 0, &argc, argv,
			    NULL, sessionShellWidgetClass,
			    XtNgeometry, "=500x500",
			    0);
  text = XtVaCreateManagedWidget("text", asciiTextWidgetClass, top,
				 XtNgeometry, "=500x500",
				 XtNstring, "/etc/termcap",
				 XtNtype, XawAsciiFile,
				 NULL);
  XtRealizeWidget(top);
  XtAppMainLoop(context);
}
-----cut here-----

Now run it with glibc-2.2.90-6.i686.rpm installed.  You will see an empty window
when what you *should* see is a window displaying /etc/termcap.

Now run the same program (you don't even need to recompile it) with
glibc-2.2.4-19.3.i686.rpm installed.  It will run properly, i.e., you'll see
/etc/termcap in the window.

Obviously, this trivial program is not the one I care about :-); it's just a
test case to illustrate a problem I discovered with a much more useful program,
xrn.

In short, glibc-2.2.90-6 is broken.
Comment 1 Jonathan Kamens 2002-02-24 18:39:57 EST
This problem goes away with the glibc-2.2.90-7 that Jakub asked me to try.

Note You need to log in before you can comment on or make changes to this bug.